aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/x86/run_x86_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/testing/selftests/x86/run_x86_tests.sh')
-rw-r--r--tools/testing/selftests/x86/run_x86_tests.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tools/testing/selftests/x86/run_x86_tests.sh b/tools/testing/selftests/x86/run_x86_tests.sh
index 3d3ec65f3e7c..3fc19b376812 100644
--- a/tools/testing/selftests/x86/run_x86_tests.sh
+++ b/tools/testing/selftests/x86/run_x86_tests.sh
@@ -3,9 +3,11 @@
# This is deliberately minimal. IMO kselftests should provide a standard
# script here.
./sigreturn_32 || exit 1
+./single_step_syscall_32 || exit 1
if [[ "$uname -p" -eq "x86_64" ]]; then
./sigreturn_64 || exit 1
+ ./single_step_syscall_64 || exit 1
fi
exit 0